org.apache.ignite.internal.processors.query

## Class TableInformation

- java.lang.Object
- - org.apache.ignite.internal.processors.query.TableInformation

    public class TableInformation
    extends Object

Information about table.

### Constructor Summary

Constructors
Constructor and Description
`TableInformation(String schemaName, String tblName, String tblType)`
`TableInformation(String schemaName, String tblName, String tblType, int cacheGrpId, String cacheGrpName, int cacheId, String cacheName, String affinityKeyCol, String keyAlias, String valAlias, String keyTypeName, String valTypeName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable String` `affinityKeyColumn()`
`int` `cacheGrpId()`
`String` `cacheGrpName()`
`int` `cacheId()`
`String` `cacheName()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `keyAlias()`
`String` `keyTypeName()`
`String` `schemaName()`
`String` `tableName()`
`String` `tableType()`
`String` `toString()`
`String` `valueAlias()`
`String` `valueTypeName()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TableInformation

    public TableInformation(String schemaName,
                            String tblName,
                            String tblType,
                            int cacheGrpId,
                            String cacheGrpName,
                            int cacheId,
                            String cacheName,
                            String affinityKeyCol,
                            String keyAlias,
                            String valAlias,
                            String keyTypeName,
                            String valTypeName)

Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.
  `tblType` - Table type.
  `cacheGrpId` - Cache group id.
  `cacheGrpName` - Cache group name.
  `cacheId` - Cache id.
  `cacheName` - Cache name.
  `affinityKeyCol` - Affinity key column name.
  `keyAlias` - Key alias.
  `valAlias` - Value alias.
  `keyTypeName` - Key type name.
  `valTypeName` - Value type name.

#### TableInformation

    public TableInformation(String schemaName,
                            String tblName,
                            String tblType)

Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.
  `tblType` - Table type.

### Method Detail

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### tableName

    public String tableName()

Returns:
  Table name.

#### tableType

    public String tableType()

Returns:
  Table type.

#### cacheGrpId

    public int cacheGrpId()

Returns:
  Cache Group id or `-1` if not applicable.

#### cacheGrpName

    public String cacheGrpName()

Returns:
  Cache group name or `null` if not applicable.

#### cacheId

    public int cacheId()

Returns:
  Cache id or `-1` if not applicable.

#### cacheName

    public String cacheName()

Returns:
  Cache name or `null` if not applicable.

#### affinityKeyColumn

    @Nullable
    public @Nullable String affinityKeyColumn()

Returns:
  Affinity key column name or `null` if not applicable.

#### keyAlias

    public String keyAlias()

Returns:
  Key alias or `null` if not applicable.

#### valueAlias

    public String valueAlias()

Returns:
  Value alias or `null` if not applicable.

#### keyTypeName

    public String keyTypeName()

Returns:
  Key type name or `null` if not applicable.

#### valueTypeName

    public String valueTypeName()

Returns:
  Value type name or `null` if not applicable.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020